## kali-autopilot 3.4

=== debian/changelog ===
kali-autopilot (3.4-0kali3) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/watch: Fix watch file for GitLab downloads changes.
  * d/upstream: Add upstream metadata

  [ Daniel Ruiz de Alegría ]
  * Fix 'invalid escape sequence' errors

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 18 Nov 2024 14:07:18 +0100

kali-autopilot (3.4-0kali2) kali-dev; urgency=medium

  * Show app in all desktops, not only XFCE
  * Show app in 'identify' category, matching kali-meta
  * Move desktop file changes to separate patch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 19 Sep 2023 14:07:15 +0200

kali-autopilot (3.4-0kali1) kali-dev; urgency=medium

  * Restore icon and desktop file 

 -- Carsten Boeving <re4son@kali.org>  Sun, 13 Aug 2023 11:25:50 +1000

kali-autopilot (3.3-0kali1) kali-dev; urgency=medium

  * Remove reference to specific courses
  * Swap purpose of positive and negative integer in mutex.txt file, i.e.:
    - positive integer executes that particular stage, e.g.
      "3" executes stage 3
    - negative integer executes sequence from 1 through to that stage, e.g.
      "-3" executes stages "1" through to "3" (1-3)
  * Combine check and set endpoints:
    - /set will list the content of mutex.txt
    - /set?mutex=<xx> will write the target stage <xx> to mutex.txt
  * Add attack trace
    - Log attack process and expose as /check endpoint in web-api
    - "Debug" tickbox in GUI enables both interactive debug mode and trace
    - "debug" and "trace" variables can be set / unset separately in attack script
    - trace file gets reset upon reset or restart of attack sequence

 -- Carsten Boeving <re4son@kali.org>  Sun, 13 Aug 2023 10:54:55 +1000

kali-autopilot (3.1) kali-dev; urgency=medium

  * Fixed indent error in debug mode
  * Improved timing when jumping  directly to a stage with exact
  * Removed hardcoded paths in all scripts;
    now scripts can be copied to any location and executed successfully

 -- Carsten Boeving <re4son@kali.org>  Mon, 31 Jul 2023 19:33:20 +1000

kali-autopilot (3.0) kali-dev; urgency=medium

  * ! Not compatible with databases created prior to version 3.0
      Export scripts to json, delete db, run kali-autopilot and import scripts
  * Integrate API into main program and remove dedicated api script
  * Run attack and api as different threads of the main program
  * Add web api port field to GUI
  * Don't start web api if port is set to "0"
  * Add option to run any single stage by prefixing minus "-" to mutex, e.g.:
    -4 will run stage 4 once
     4 will run all stages up to, and including, stage 4
  * Add https support for web API.
    HTTPS will automatically be used if a certificate and private key exist;
    Use ./service.sh -c to generate those.
  * Shuffle cmd parameters for service.sh and add debug option, now:
    -c create ssl certificate and private key
    -d debug attack service (live tail of service journal)
    -h show help
    -i install attack service
    -r stop and remove attack service
    -s show servie status

 -- Carsten Boeving <re4son@kali.org>  Sun, 23 Jul 2023 20:00:55 +1000

kali-autopilot (2.4) kali-dev; urgency=medium

  * Correct spelling of python3-pymetasploit3 

 -- Carsten Boeving <re4son@kali.org>  Tue, 11 Jul 2023 16:33:23 +1000

kali-autopilot (2.3) kali-dev; urgency=medium

  * Depend on pymetasploit3 

 -- Carsten Boeving <re4son@kali.org>  Tue, 11 Jul 2023 06:55:51 +1000

kali-autopilot (2.2) kali-dev; urgency=medium

  * Add "Always insert delay" checkbox
  * Redesign GUI
  * Make settings persistent
  * Include STAGE in debug output 

 -- Carsten Boeving <re4son@kali.org>  Sat, 08 Jul 2023 18:43:57 +1000

kali-autopilot (2.1) kali-dev; urgency=medium

  * Fix help title
  * Add "max stage" to web-api check screen
  * Add "loop" option for infinite attack loops (handy for noise generators) 

 -- Carsten Boeving <re4son@kali.org>  Sun, 02 Jul 2023 21:41:17 +1000

kali-autopilot (2.0) kali-dev; urgency=medium

  * Generate service.sh with every attack script to:
    - create & start attack service with the -s argument
    - create & start web-api service with -w
    - stop & remove both services with -r
    - show service status with -i
  * Add OSB action to run OS commands in a bash shell

 -- Carsten Boeving <re4son@kali.org>  Sun, 25 Jun 2023 21:10:45 +1000

kali-autopilot (1.8) kali-dev; urgency=medium

  * Add mutex-api 

 -- Carsten Boeving <re4son@kali.org>  Sat, 17 Jun 2023 14:35:23 +1000

kali-autopilot (1.7) kali-dev; urgency=medium

  * Fix working directory location
  * Fix button size 

 -- Carsten Boeving <re4son@kali.org>  Mon, 12 Jun 2023 19:37:39 +1000

kali-autopilot (1.6) kali-dev; urgency=medium

  * Move functions from external modules into base program
  * Add script export / import
  * Resize for better compatibility

 -- Carsten Boeving <re4son@kali.org>  Mon, 12 Jun 2023 16:28:14 +1000

kali-autopilot (1.5) kali-dev; urgency=medium

  * Add missing dep python3-sarge

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Apr 2023 15:28:56 +0200

kali-autopilot (1.4) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Nitpick in copyright
  * Drop OnlyShowIn=XFCE from desktop file, minor updates
  * Drop useless use of override_dh_install
  * Nitpicks in control file
  * Add Homepage in control file

  [ Daniel Ruiz de Alegría ]
  * Upload proposed icon

  [ Steev Klimaszewski ]
  * d/watch: Remove as native packaging does not require them.
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 28 Mar 2023 12:26:50 -0500

kali-autopilot (1.3) kali-dev; urgency=medium

  * Depend on python3-easygui 

 -- Carsten Boeving <re4son@kali.org>  Mon, 20 Feb 2023 17:29:26 +1100

kali-autopilot (1.2) kali-dev; urgency=medium

  * Unhide working directory
  * Use custom buttons

 -- Carsten Boeving <re4son@kali.org>  Mon, 20 Feb 2023 14:48:08 +1100

kali-autopilot (1.1) kali-dev; urgency=medium


