=== debian/control ===
Source: kali-autopilot
Section: misc
Priority: optional
Maintainer: Malcolm Shore <m.shore@offensive-security.com>
Uploaders:
 Carsten Boeving <re4son@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://gitlab.com/kalilinux/packages/kali-autopilot
Vcs-Git: https://gitlab.com/kalilinux/packages/kali-autopilot.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-autopilot

Package: kali-autopilot
Architecture: all
Depends:
 python3-easygui,
 python3-sarge,
 python3-wxgtk4.0,
 python3:any,
 python3-pymetasploit3,
 ${misc:Depends},
Description: tool for automatic attack scripts in Kali
 Kali Autopilot is a tool to help develop automatic attack scripts 
 for red and purple teaming.
 .
 It is primarily intended to create scripts that attack vulnerable
 machines in the Kali Purple platform for detection and response
 training but it is also useful for creating scripts used for
 penetration testing.
